# Multiplayer Games

> 🚧 **Notice: This Multiplayer Games module is currently under development.**  
> Building on our experience with single- and two-player games, we’re expanding into multiplayer environments, carefully designing complex turn-based logic and interaction patterns. Expect frequent updates as we add and refine these games to create a robust, adaptable structure with clear, user-friendly code. We welcome community feedback and suggestions to enhance this module for multi-agent evaluations.  
> 🔗 For the latest updates, join our [Discord channel](#).


Welcome to the Multiplayer Games module in our repository. This directory houses a collection of multiplayer games, each designed to evaluate the collaborative and competitive capabilities of large language models (LLMs). These games require a range of skills, including strategic planning, negotiation, bluffing, and teamwork, making them ideal for assessing LLMs in multi-agent settings. Each game environment is implemented to be accessible, extendable, and adaptable for various interaction styles.

## Games Overview

| Game                  | Description                                                                                                                                                          | Status          |
|-----------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------|-----------------|
| **Codenames**         | Players give clues to help teammates guess specific words without selecting incorrect ones.                                                                         | -               |
| **Werewolf**          | A social deduction game where players are assigned hidden roles as werewolves or villagers, aiming to identify or eliminate the other group.                       | -               |
| **Diplomacy**         | A strategy game where players negotiate and form alliances to control regions on a map, with simultaneous action cycles each turn.                                 | -               |
| **Negotiation**       | Players engage in rounds of bargaining to reach agreements, with outcomes affecting their positions or points in the game.                                          | -               |
| **Poker**             | Players compete to form the best hand and bluff opponents in a round-based format, with betting rounds and turn-taking.                                             | -               |
| **Bluffing Dice**     | Players roll dice and make bids on the values they believe are on the table, aiming to outwit opponents by bluffing or revealing the truth.                         | -            |
| **Letter Auction**    | Players "bid" on letters to form the highest-scoring word. Each player has a limited number of points to bid, aiming to assemble the highest-value word from the letters won. | -            |

Above is a list of multiplayer games that we will add in this module. Each game is marked with its current development status.


